summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Hufschmidt <hufschmidt@hrz.uni-marburg.de>2019-02-20 11:50:57 +0100
committerPaweł Krupa <pawel@krupa.net.pl>2019-02-20 11:50:57 +0100
commit97526940073733f2fcdcaf9f61e17dfbcb89ace0 (patch)
tree1e0a0debed9d19bc18b41428a81979705b0cf479
parentc649de8e68229cdda83ea4ff33a080250b1e5497 (diff)
Fix curl download (#5439)
* gitignore rules for generated files matched packaging content * follow http redirects when downloading via curl (#5411)
-rw-r--r--.gitignore4
-rwxr-xr-xnetdata-installer.sh2
-rwxr-xr-xpackaging/installer/kickstart-static64.sh2
-rwxr-xr-xpackaging/installer/kickstart.sh2
-rw-r--r--packaging/installer/netdata-updater.sh2
5 files changed, 6 insertions, 6 deletions
diff --git a/.gitignore b/.gitignore
index f0de5df0b9..2ee0f8f25d 100644
--- a/.gitignore
+++ b/.gitignore
@@ -112,7 +112,8 @@ collectors/fping.plugin/fping.plugin
collectors/go.d.plugin
# installer generated files
-netdata-uninstaller.sh
+/netdata-uninstaller.sh
+/netdata-updater.sh
# cmake files
cmake-build-debug/
@@ -164,5 +165,4 @@ docs/generator/src
docs/generator/build
docs/generator/mkdocs.yml
-netdata-updater.sh
.environment.sh
diff --git a/netdata-installer.sh b/netdata-installer.sh
index c3abeefd16..ee7edea4ee 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -50,7 +50,7 @@ download() {
run wget --progress=dot:mega -O - "${url}" >"${dest}" || fatal "Cannot download ${url}"
fi
elif command -v curl >/dev/null 2>&1; then
- run curl "${url}" >"${dest}" || fatal "Cannot download ${url}"
+ run curl -L "${url}" >"${dest}" || fatal "Cannot download ${url}"
else
fatal "I need curl or wget to proceed, but neither is available on this system."
fi
diff --git a/packaging/installer/kickstart-static64.sh b/packaging/installer/kickstart-static64.sh
index 84d5359c76..24e057c819 100755
--- a/packaging/installer/kickstart-static64.sh
+++ b/packaging/installer/kickstart-static64.sh
@@ -86,7 +86,7 @@ download() {
if command -v wget >/dev/null 2>&1; then
run wget -O - "${url}" >"${dest}" || fatal "Cannot download ${url}"
elif command -v curl >/dev/null 2>&1; then
- run curl "${url}" >"${dest}" || fatal "Cannot download ${url}"
+ run curl -L "${url}" >"${dest}" || fatal "Cannot download ${url}"
else
fatal "I need curl or wget to proceed, but neither is available on this system."
fi
diff --git a/packaging/installer/kickstart.sh b/packaging/installer/kickstart.sh
index 3f038a9d9f..e03c81f79d 100755
--- a/packaging/installer/kickstart.sh
+++ b/packaging/installer/kickstart.sh
@@ -118,7 +118,7 @@ download() {
if command -v wget >/dev/null 2>&1; then
run wget -O - "${url}" >"${dest}" || fatal "Cannot download ${url}"
elif command -v curl >/dev/null 2>&1; then
- run curl "${url}" >"${dest}" || fatal "Cannot download ${url}"
+ run curl -L "${url}" >"${dest}" || fatal "Cannot download ${url}"
else
fatal "I need curl or wget to proceed, but neither is available on this system."
fi
diff --git a/packaging/installer/netdata-updater.sh b/packaging/installer/netdata-updater.sh
index 1ff47530d3..f6a9492f46 100644
--- a/packaging/installer/netdata-updater.sh
+++ b/packaging/installer/netdata-updater.sh
@@ -37,7 +37,7 @@ download() {
if command -v wget >/dev/null 2>&1; then
wget -O - "${url}" >"${dest}" 2>&3 || echo >&2 "Cannot download ${url}" >&3 2>&3
elif command -v curl >/dev/null 2>&1; then
- curl "${url}" >"${dest}" 2>&3 || echo "Cannot download ${url}" >&3 2>&3
+ curl -L "${url}" >"${dest}" 2>&3 || echo "Cannot download ${url}" >&3 2>&3
else
failed "curl or wget is needed to proceed, but neither is available on this system."
fi